complexType "ElectricityTransmissionContingency"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 2 elements
Defined: | globally in fpml-com-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | contingency?, contingentParty[0..2]
</...>

Content Model Elements (2):

  contingency, contingentParty

All Direct / Indirect Based Elements (1):

  transmissionContingency

Known Usage Locations

- As direct type of elements (1):
  transmissionContingency

Annotation
A structure to specify the tranmission contingency and the party that bears the obligation.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="ElectricityTransmissionContingency"> <xsd:sequence> <xsd:element minOccurs="0" name="contingency" type="ElectricityTransmissionContingencyType"/> <xsd:element maxOccurs="2" minOccurs="0" name="contingentParty" type="PartyReference"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/2)
contingency

  Type: | ElectricityTransmissionContingencyType, simple content

  The conditions under which the party specified in contingentParty will be excused from damages if transmission is interrupted or curtailed.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="contingency" type="ElectricityTransmissionContingencyType"/>

contingentParty

  Type: | PartyReference, empty content

  The party to which the contingency applies.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="2" minOccurs="0" name="contingentParty" type="PartyReference"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.